﻿@model RailwayCashBox.Models.TrainSchedule

@{
    ViewBag.Title = "Маршруты";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Расписание</h2>

<p>
    @Html.ActionLink("Очистить", "ClearScheduleForRoute", new { id = Model.TrainRouteId }) |
    @Html.ActionLink("Создать расписание", "GenerateScheduleDetailsForRoute", new {id = Model.TrainRouteId})
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Records[0].TrainRoute)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Records[0].DepartureDate)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Records[0].ArrivalDate)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Records[0].SeatBookings)
        </th>
        <th>
            Куплено
        </th>
        <th></th>
    </tr>

    @foreach (var item in Model.Records)
    {
        <tr>
            <td>
                @Html.ActionLink(item.TrainRoute.Code, "Details", new { id = item.TrainRoute.Id })
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.DepartureDate)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.ArrivalDate)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.SeatBookings.Count)
            </td>
            <td>
                @item.SeatBookings.Count(r => r.Booked)
            </td>
            <td>
                @Html.ActionLink("Удалить", "DeleteTrainScheduleRecord", new {id = item.Id})
            </td>
        </tr>
    }

</table>

<div>
    @Html.ActionLink("Вернуться", "Index")
</div>